Resource Center/Network Service/Network Service Operations/VPC Firewall Operations
DELETEVPC Firewall OperationsSince 4.0.0SynchronousAuth Required
DeleteFirewallIpSetTemplate
DeleteFirewallIpSetTemplate
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredThe UUID of the template.
Body Fields
deleteModeStringOptional. The deletion mode.
Optional. The system tags.ListOptional. The system tags.
Optional. The user tags.ListOptional. The user tags.
Responses
DELETE endpoints return an empty object on success, or a standard error structure on failure.
Success Response
{}Error Response
{
"error": {
"code": "SYS.1001",
"description": "A message or a operation timeout",
"details": "Delete resource timeout after 300s"
}
}Endpoint
DELETE/v1/vpcfirewalls/ipset/templates/{uuid}
/v1/vpcfirewalls/ipset/templates/{uuid}
Request Example
curl -X DELETE 'http://{host}/v1/vpcfirewalls/ipset/templates/{uuid}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"deleteMode":"<deleteMode>","Optional. The system tags.":["<Optional. The system tags.>"],"Optional. The user tags.":["<Optional. The user tags.>"]}'
Response Example
200{}Change History
This API has no change history records yet.
